###############################################################################
#
#  main.py --
#
#  $LastChangedDate: 2013-11-13 11:46:19 +0100 (Wed, 13 Nov 2013) $
#  $LastChangedRevision: 692229 $
#  $LastChangedBy: jmblanch $
#
#  Author: Lionel TOMASO
#
#  History: 
#    December 30, 2013 - initial revision
#
###############################################################################

# load Ans.DesignXplorer.CSharpSamplingExample.dll
def onInit(context):
    if context == "DesignXplorer":    
        dlldir = System.IO.Path.Combine(ExtAPI.ExtensionMgr.CurrentExtension.InstallDir,System.IO.Path.Combine("bin",System.IO.Path.Combine("Win64","Release")))
        dllpath = System.IO.Path.Combine(dlldir,"Ans.DesignXplorer.CSharpSamplingExample.dll")
        clr.AddReferenceToFileAndPath(dllpath)
    
# creates the sampling
def createSampling(entity):
    from Ansys.DesignXplorer.CSharpSamplingExample import CSharpSampling
    return CSharpSampling()
    
# returns true when all sampling settings are defined and correct and the sampling is ready to run
def canRunSampling(entity):
    return True

